# modulesfeature-stats.php

Package
  \Default

## Tags

None found

## Functions

### update_statistics()

    update_statistics(boolean  $update_all = false, boolean  $force = false)

Updates the wiki's statistics.

#### Parameters

boolean | $update_all | Whether all the statistics should be checked and recalculated, or just as many as we have time for according to the settings.
boolean | $force | Whether we should recalculate statistics that don't currently require recalculating anyway.

#

File
  modules/feature-stats.php

## Tags

package | feature-stats feature-stats

### stats_load()

    stats_load() : object

Loads and returns the statistics cache file.

#### Returns

object —

The loaded & decoded statistics.

#

File
  modules/feature-stats.php

## Tags

package | feature-stats feature-stats

### stats_save()

    stats_save(  $stats) : boolean

Saves the statistics back to disk.

#### Parameters

| $stats |

#### Returns

boolean —

Whether saving succeeded or not.

#

File
  modules/feature-stats.php

## Tags

package | feature-stats feature-stats

###